Package org.mariadb.jdbc.internal.logging

## Class LoggerFactory

- java.lang.Object
- - org.mariadb.jdbc.internal.logging.LoggerFactory

    public class LoggerFactory
    extends Object

### Constructor Summary

Constructors
`LoggerFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Logger` `getLogger​(Class<?> clazz)` Initialize logger.
`static void` `init​(boolean mustLog)` Initialize factory.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LoggerFactory

    public LoggerFactory()

### Method Detail

#### init

    public static void init​(boolean mustLog)

Initialize factory.

Parameters:
  `mustLog` - indicate if must initiate Slf4j log

#### getLogger

    public static Logger getLogger​(Class<?> clazz)

Initialize logger.

Parameters:
  `clazz` - initiator class
Returns:
  logger